include ../../molecules/menu/menu
include ../../atoms/hamburger/hamburger
  
mixin header(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  - spec.menuItem = spec.menuItem || []
  
  header.header(class=spec.__class)&attributes(attributes)
    +menu({ menuItems: spec.menuItem })
    +hamburger({__class: "js-hamburger"})
